ArNetworking: ArClientSimpleConnector Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArClientSimpleConnector Class Reference

`#include <ArClientSimpleConnector.h>`

List of all members.

## Detailed Description

This will let you connect to different hosts, ports, and with different users and passwords more easily.

Some program command line options affect behavior:

To set the host the client will connect to use '`-host` hostName' in the command line parameters (no abbreviation for this since `-h` is for help and it's only 4 letters). To set the port the client will connect to use '`-port` portNumber' or '`-p` portNumber'. To set the user to connect with use '`-user` userName' or '`-u` userName'. To set the password to connect with use '`-password` password' or '`-pwd` password'. To use no password use '`-nopassword`' or '`-np`'. Note that for using passwords you should NOT use that option on the command line since that can show everyone what the password is (especially in Linux), it's there only for testing. If you give it a username without a password it'll ask you for a password, if you don't have a password just use the -nopassword or let it ask you for a password and hit enter. To set the server key (string we need to connect to the server) use '`-setServerKey` serverKey' or '`-ssk` serverKey'.

## Public Member Functions
| ArClientSimpleConnector (ArArgumentBuilder *arguments)
| Constructor that takes argument builder (not prefered).
| ArClientSimpleConnector (int *argc, char **argv)
| Constructor that takes args from main (not prefered).
| ArClientSimpleConnector (ArArgumentParser *parser)
| Constructor that takes argument parser (prefered).
bool | connectClient (ArClientBase *client, bool print=true)
| Connects the client with the options given.
void | logOptions (void) const
| Logs the options the connector has.
bool | parseArgs (ArArgumentParser *parser)
| Parses the arguments.
bool | parseArgs (void)
| Parses the arguments.
| ~ArClientSimpleConnector (void)
| Destructor.
## Protected Member Functions
void | reset (void)
## Protected Attributes
const char * | myHost
bool | myLogDataList
ArConstFunctorC< ArClientSimpleConnector > | myLogOptionsCB
bool | myNoPassword
bool | myOwnParser
ArRetFunctorC< bool, ArClientSimpleConnector > | myParseArgsCB
ArArgumentParser * | myParser
const char * | myPassword
int | myPort
const char * | myServerKey
const char * | myUser

The documentation for this class was generated from the following file:

- ArClientSimpleConnector.h